<template>
<div class="warp">
   	<u-empty mode="data"
							icon="http://cdn.uviewui.com/uview/empty/data.png"
							text="暂无数据"
							textSize="30"
							iconSize="1000"
							v-if="detailData.length===0"></u-empty>
			<!-- 渲染区域 -->

					<view class="history-information" 	v-for="item,i in detailData" 		
			:key="i">
							<view class="first">
								<view class=""><text>批号：{{ item.batchNumber || '' }}</text></view>
								
							</view>
							<view class="second">
								<view><text>编号： {{ item.number || '' }}</text></view>
							</view>
							<view class="third">
                                <view class="third-line">
									<view class="third-line_text">供应商:</view>
									<view >{{ item.customerName }}</view>
								</view>
								<view class="third-line">
									<view class="third-line_text">采样地点:</view>
									<view>{{ item.bunkerName }}</view>
								</view>
							</view>
							<view class="fourth">
								<view class="fourth-icon">
									<view
										style="width: 24rpx;height: 24rpx;line-height: 24rpx;background: url('https://mx.jzeg.cn:9096/appimg/image/banner/clock.png') no-repeat;background-size: cover">
									</view>
								</view>
								<view class="senddate">{{ item.samplingTime }}</view>
							</view>
							<view class="fourth" style="height:250rpx">
								<!-- <view class="fourth-icon">
									<view
										style="width: 26rpx;height: 26rpx;line-height: 26rpx;background: url('https://mx.jzeg.cn:9096/appimg/image/banner/carnNUm.png') no-repeat;background-size: cover;">
									</view>
								</view>
								<view class="senddate">{{ item.orderCode }}</view> -->
                                <view style="height:130rpx">
                                    <text style="fontSize:14rpx">检测项目:</text>
							        <view class="first" v-for="subItem,index in item.zjQualityCheckSubs" :key="index">
								    <view class=""><text>项目：{{ subItem.checkName || '' }}</text></view>
								    <view class=""><text>单项判定：{{ subItem.isQualified === 1 ? '合格' : '不合格' || '' }}</text></view>
							        </view>
                                </view>
                               
							</view>
                             <view class="fourth" style="height:100rpx">
                                     <view class=""><text>结论：{{ item.conclusion || '' }}</text></view>

                                </view>
					</view>
    </div>  
</template>

<script>
export default {
data() {
    return {
        detailData:[],
    }
},
methods: {
    getDetailData(){
        this.$reqGet('getQualityResultEachCustomer').then((res) => {
            if(res.code === 0){
                this.detailData  = res.data;
            }else{
                	this.$u.toast('暂无数据');
            }
        })
    }
},
onShow(){
this.getDetailData();
},
onload(){

}
}
</script>

<style lang="scss" scoped>
	@mixin flex {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
	.history-information {
			width: 690rpx;
			height: 420rpx;
			margin: vww(10) vww(15);
			background: #ffffff;
			box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
			border-radius: 20rpx;
			@include flex flex-direction: column;
			align-items: flex-start;
			justify-content: space-evenly;
			overflow: hidden;

			.first {
				width: 96%;
				height: 34rpx;
				font-size: 32rpx;
				font-weight: 300;
				color: #303030;
				@include flex;
				margin: vww(10) vww(10) 0;
			}

			.second {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;
				justify-content: flex-start;

				.coal-name {
					min-width: vww(30);
					height: vww(20);
					margin-right: vww(21);
				}

				.order-type {
					color: #035cfb;
					border: 2px solid #035cfb;
					border-radius: 4rpx;
					padding: vww(2) vww(4);
					text-align: center;
				}
			}

			.third {
				width: 96%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;

				.third-line {
					@include flex;

					&_text {
						color: #919090;
					}

					&_num {
						color: #035cfb;
					}
				}
			}

			.fourth {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;

				.fourth-icon {
					width: vww(13);
					height: vww(13);
					margin-right: vww(14);
				}

				.senddate {
					flex: 1;
				}
			}
		}

</style>